Subject: Re: "od" wrong line endings and byte count
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Sun, 02 Jan 2005 16:54:16 -0800

"Gary R. Van Sickle" wrote:

> > > I think that this is a regression of "od", though.  It
> > probably should
> > > use binmode by default.
> >
> > I would tend to agree, but how would you change this default
> > if desired?
> >
> 
> ?  By one of the two ways God intended when he gave Moses POSIX:
> 
> 1. O_BINARY
> 2. "rb"

(3. link with binmode.o)

'od' should probably be using #1 or #2 already though, if not that's
easy enough to fix I'd think.

The poster also had a qustion about the 'expand' utility writing
NL-terminated files, when the mount was textmode.  That sounded like a
bug to me also, but I don't really know how the rules for text mounts
are supposed to work on writes, or how 'expand' calls open().

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/